diff -pruN 2.5.0-2/debian/changelog 2.5.0-3/debian/changelog
--- 2.5.0-2/debian/changelog	2024-04-24 06:08:43.000000000 +0000
+++ 2.5.0-3/debian/changelog	2024-07-01 08:34:07.000000000 +0000
@@ -1,3 +1,10 @@
+openstructure (2.5.0-3) unstable; urgency=medium
+
+  * Backport upstream patch to fix FTBFS with scipy 1.12 (Closes: #1073455)
+  * Fix debian/watch.
+
+ -- Andrius Merkys <merkys@debian.org>  Mon, 01 Jul 2024 04:34:07 -0400
+
 openstructure (2.5.0-2) unstable; urgency=medium
 
   * Drop sip-dev from Build-Depends (Closes: #1065341)
diff -pruN 2.5.0-2/debian/patches/15a499485ede152b6d432b7c91f1084e9e11bd8f.patch 2.5.0-3/debian/patches/15a499485ede152b6d432b7c91f1084e9e11bd8f.patch
--- 2.5.0-2/debian/patches/15a499485ede152b6d432b7c91f1084e9e11bd8f.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.5.0-3/debian/patches/15a499485ede152b6d432b7c91f1084e9e11bd8f.patch	2024-07-01 08:33:16.000000000 +0000
@@ -0,0 +1,37 @@
+From 15a499485ede152b6d432b7c91f1084e9e11bd8f Mon Sep 17 00:00:00 2001
+From: Gabriel Studer <gabriel.studer@unibas.ch>
+Date: Wed, 26 Jun 2024 16:08:07 +0200
+Subject: [PATCH] resolve deprecation warning in base.table
+
+Use np.isnan instead of scipy.isnan. Starting from scipy 1.12
+(or earlier), scipy.isnan was definitely deprecated. This made the
+SpearmanCorrel function silently return None which triggered a failing
+unit test that was reported by Andrius Merkys.
+---
+ modules/base/pymod/table.py | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/modules/base/pymod/table.py b/modules/base/pymod/table.py
+index 1e20e4eae..f5adc6a10 100644
+--- a/modules/base/pymod/table.py
++++ b/modules/base/pymod/table.py
+@@ -2172,6 +2172,7 @@ Statistics for column %(col)s
+     """
+     try:
+       import scipy.stats.mstats
++      import numpy as np
+       
+       if IsStringLike(col1) and IsStringLike(col2):
+         col1 = self.GetColIndex(col1)
+@@ -2183,7 +2184,7 @@ Statistics for column %(col)s
+           vals2.append(v2)
+       try:
+         correl = scipy.stats.mstats.spearmanr(vals1, vals2)[0]
+-        if scipy.isnan(correl):
++        if np.isnan(correl):
+           return None
+         return correl
+       except:
+-- 
+GitLab
+
diff -pruN 2.5.0-2/debian/patches/series 2.5.0-3/debian/patches/series
--- 2.5.0-2/debian/patches/series	2024-04-24 06:07:00.000000000 +0000
+++ 2.5.0-3/debian/patches/series	2024-07-01 08:33:16.000000000 +0000
@@ -5,3 +5,4 @@ add-python3-shebangs.patch
 ost_config.patch
 skip-dssp-tests.patch
 #increase-test-tolerance.patch
+15a499485ede152b6d432b7c91f1084e9e11bd8f.patch
diff -pruN 2.5.0-2/debian/watch 2.5.0-3/debian/watch
--- 2.5.0-2/debian/watch	2024-04-24 06:05:32.000000000 +0000
+++ 2.5.0-3/debian/watch	2024-07-01 08:33:35.000000000 +0000
@@ -1,4 +1,4 @@
 version=4
-opts=uversionmangle=s/-/~/g \
+opts="searchmode=plain,uversionmangle=s/-/~/g" \
 https://git.scicore.unibas.ch/schwede/openstructure/-/tags \
- (?:.*?/)?openstructure-(\d[\d.]*(?:-rc)?)\.tar\.gz
+ /schwede/openstructure/-/archive/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
